Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.olap.xmla
Class JRXmlaHierarchy

    java.lang.Object
      net.sf.jasperreports.olap.xmla.JRXmlaHierarchy

All Implemented Interfaces:
  JROlapHierarchy

    public class JRXmlaHierarchy

extends java.lang.Object
implements JROlapHierarchy

Version:
  $Id: JRXmlaHierarchy.java 3659 2010-03-31 10:20:49Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRXmlaHierarchy(java.lang.String dimensionName)`

Method Summary
`protected JRXmlaHierarchyLevel[]` | `ensureLevelArray()`
`java.lang.String` | `getDimensionName()`
`java.lang.String` | `getHierarchyUniqueName()`
`JROlapHierarchyLevel[]` | `getLevels()`
`protected void` | `resetLevelArray()`
`void` | `setLevel(java.lang.String levelName, int depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRXmlaHierarchy

    public JRXmlaHierarchy(java.lang.String dimensionName)

Method Detail

### getDimensionName

    public java.lang.String getDimensionName()

  Specified by:
    `getDimensionName` in interface `JROlapHierarchy`

### getLevels

    public JROlapHierarchyLevel[] getLevels()

  Specified by:
    `getLevels` in interface `JROlapHierarchy`

### setLevel

    public void setLevel(java.lang.String levelName,
                         int depth)

### getHierarchyUniqueName

    public java.lang.String getHierarchyUniqueName()

  Specified by:
    `getHierarchyUniqueName` in interface `JROlapHierarchy`

### ensureLevelArray

    protected JRXmlaHierarchyLevel[] ensureLevelArray()

### resetLevelArray

    protected void resetLevelArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com